class MyClass

def initialize
model = Sketchup.active_model
view = model.active_view
wd_width = 310
wd_height = 200
wd_left = 1420
wd_top = 350

@my_dialog = UI::WebDialog.new("MyTest", true,"MyTestSize",wd_width, wd_height, wd_left, wd_top, true)
@my_dialog.set_background_color("F3F0F0")

end

def showTable
html = '<html>
<script text="javascript"> 
function dropdownchanged() {
	try { 
		/* The following works too, but is dependent of the select tag being the 2nd select tag. 
		var selects = document.getElementsByTagName("select")[1].value ;  // Get the value of the 2nd <select> tag
		alert(selects) ; 
		*/ 
		
		/* This works great to get the index of the option.  */ 
		var selects = document.getElementById("myselect").selectedIndex ;  // Get the index of the selection otpion.
		alert(selects) ; 
		
		/* Do the callback to Ruby */ 
		window.location = "skp:new_option@" + selects ; 

	}
	catch (e) { 
		alert("Error: "+ e) ; 
	}
	return true ;
} 
</script>
<body>
<div style="float:left"><p>Name: 
<select style="width:85px;">
	<option value="1">Numbers</option>
</select>&nbsp &nbsp</p>
</div>

<div style="float:left;"><p>Val: 
<form id="myform">
<select id="myselect" size="1" style="width:50px;" onchange="dropdownchanged();">
	<option value="1">10</option>
	<option value="2">11</option>
	<option value="3">12</option>
	<option value="4">13</option>
</select></p>
</form> 
</div>
</body>
</html>'
@my_dialog.set_html(html)
end

def showDialog
@my_dialog.show{}
@my_dialog.bring_to_front
@my_dialog.add_action_callback("new_option") {|dialog, parm| puts "Selected value is now #{parm}" ; } 
end

end #Class

def letsPlay
  begin
	test = MyClass.new
	test.showTable()
	test.showDialog()
   end
end

letsPlay()
